Table of Contents

Class: Browser | eric3/UI/Browser.py
--- | ---

### Class used to display a file system tree.

Via the context menu that is displayed by a right click the user can select various actions on the selected file.

#### Signals

pythonFile(string, int)
  emitted to open a Python file at a line
designerFile(string)
  emitted to open a Qt-Designer file
linguistFile(string)
  emitted to open a Qt-Linguist file
projectFile(string)
  emitted to open an eric3 project file
unittestOpen(string)
  emitted to open a Python file for a unittest

Base Classes |
--- | ---
QListView

Methods |
--- | ---
__init__ contentsMouseDoubleClickEvent createPopupMenus handleContextMenu handleOpen handleProgramChange handleUnittest
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| contentsMouseDoubleClickEvent

    contentsMouseDoubleClickEvent ( self,  mouseEvent )

### Protected method of QListView.

Reimplemented to disable expanding/collapsing of items when double-clicking. Instead the double-clicked entry is opened.

#### Arguments

mouseEvent
  the mouse event (QMouseEvent)

| createPopupMenus

    createPopupMenus ( self )

Private method to generate the various popup menus.

| handleContextMenu

    handleContextMenu (
            self,
            itm,
            coord,
            col,
            )

### Private slot to show the context menu of the listview.

#### Argumente

itm
  the selected listview item (QListViewItem)
coord
  the position of the mouse pointer (QPoint)
col
  the column of the mouse pointer (int)

| handleOpen

    handleOpen ( self )

Private slot to handle the open popup menu entry.

| handleProgramChange

    handleProgramChange ( self,  fn )

Public slot to handle the programChange signal.

| handleUnittest

    handleUnittest ( self )

Private slot to handle the unittest popup menu entry.

Table of Contents

This document was automatically generated by HappyDoc version 2.1